%global module_name mwlib.xhtml

Name:           python-mwlib-xhtml
Version:        0.1.0
Release:        7%{?dist}
Summary:        XHTML writer for mwlib

License:        BSD
URL:            https://github.com/pediapress/%{module_name}
Source0:        http://pypi.python.org/packages/source/m/%{module_name}/%{module_name}-%{version}.zip

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-mwlib

%description
mwlib provides a library for parsing MediaWiki articles and converting them to
different output formats. This package contains the necessary code to output
articles in XHTML format.


%prep
%setup -qn %{module_name}-%{version}

sed -i '/^#!/d' mwlib/*.py mwlib/*/*.py
chmod a-x mwlib/*.py


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%{python_sitelib}/%{module_name}-*
%{python_sitelib}/mwlib/*


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 17 2012 Ian Weller <iweller@redhat.com> - 0.1.0-3
- Add BR: python-setuptools

* Wed Feb 15 2012 Ian Weller <iweller@redhat.com> - 0.1.0-2
- Change BR: python-devel to python2-devel
- rm rm -rf

* Thu Feb  2 2012 Ian Weller <iweller@redhat.com> - 0.1.0-1
- Initial package build
